/* -*- C++ -*-
 * This file is part of the VxWorks simulation model for CarbonKernel.
 * Copyright (C) 2001  Philippe Gerum.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Description: Interface to the WIND syscalls tracing support code.
 *
 * Author(s): rpm
 *
 * Contributor(s):
 *
 */

#ifndef _WindTrace_h
#define _WindTrace_h

#if defined(__GNUG__) && !defined(__OBSCAN__)
#pragma interface
#endif // __GNUG__ && !__OBSCAN__

#include "CkTrace.h"
#include "vxworks/vxWorks.h"

#ifdef IMPLEMENTING_SO
#undef IMPLEMENTING_SO
#endif // IMPLEMENTING_SO
#define IMPLEMENTING_SO IMPLEMENT_WIND
#include "sodecl.h"

class WindNode;

class WindTraceInterface : public CkTraceInterface {

    static CkTraceDef traceDefTable[];
    static int traceDefCount;

    static CkErrorDef errorDefTable[];
    static int errorDefCount;

public:

    WindTraceInterface(WindNode *node);
};

#endif // !_WindTrace_h
