/*
 * This file is part of the VxWorks simulation model for CarbonKernel.
 *
 * VxWorks is a registered trademark of Wind River Systems, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Description: Header replacement for msgQLib.h.
 *
 * Author(s): rpm
 *
 * Contributor(s):
 *
 */

#ifndef _vxworks_msgQLib_h
#define _vxworks_msgQLib_h

#include <ck.h>
#include "vxworks/windDefs.h"
#include "vxworks/errorLib.h"

#define MSG_PRI_NORMAL     0x00
#define MSG_PRI_URGENT     0x01
#define MSG_Q_FIFO         0x00
#define MSG_Q_PRIORITY     0x01

typedef ckhandle_t MSG_Q_ID;

#ifdef __cplusplus
extern "C" {
#endif

MSG_Q_ID msgQCreate(int maxMsg,
		    unsigned maxLength,
		    int options);

STATUS msgQDelete(MSG_Q_ID qid);

int msgQReceive(MSG_Q_ID qid,
		char *buffer,
		unsigned nBytes,
		int timeout);

STATUS msgQSend(MSG_Q_ID qid,
		char *buffer,
		unsigned nBytes,
		int timeout,
		int priority);

int msgQNumMsgs(MSG_Q_ID qid);

#ifdef __cplusplus
}
#endif

#endif	/* !_vxworks_msgQLib_h */
